### Name

> XmHTMLTextGetString - obtain a copy of the HTML parser output.

### Synopsis

> String XmHTMLTextGetString(Widget w)

### Description

> XmHTMLTextGetString returns a copy of the output from the internal HTML parser.

> The returned string need not be identical to the original source text as the internal HTML parser is capable of modifying the original source text to a great extent: it performs a (large) number of consistency checks and verifies HTML3.2 conformance. If necessary, HTML tags are added, moved or removed as the parser sees fit. These modifications made by the internal HTML parser only affect HTML tags, the text that is to be displayed is never modified.

> w
>   Specifies the Widget ID from which a copy of the parser output should be retrieved. This widget must be of class xmHTMLWidgetClass.

### Return Value

> A pointer to a newly allocated string. This value must be freed by the caller.

### See Also

> XmHTML(3X), XmHTMLTextGetFormatted(3X), XmHTMLTextGetSource(3X), XmHTMLTextGetString(3X)

XmHTML, October 7, 1997